Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414670 - [RFE] bkr job-list to allow filtering by job status
Summary: [RFE] bkr job-list to allow filtering by job status
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Beaker
Classification: Retired
Component: command line
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 08:22 UTC by Jiri Hladky
Modified: 2020-10-21 14:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-21 14:12:35 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1175853 0 low CLOSED [RFE] list my running jobs (using bkr command-line client) 2021-02-22 00:41:40 UTC

Internal Links: 1175853

Description Jiri Hladky 2017-01-19 08:22:07 UTC
bkr job-list currently has these options

--finished
Limit to jobs which are finished (Completed, Aborted, or Cancelled). A finished job has reached its final state and will not change in future.

--unfinished
Limit to jobs which are not finished.


Could you please enhance bkr job-list to allow filtering specifically by job status? 

bkr job-list --status <New|Queued|Scheduled|Running|.....>

Thanks a lot
Jirka


Note You need to log in before you can comment on or make changes to this bug.